/*-------------------------------------------------------------------------
 *
 * pg_hosts.h--
 *
 *     the pg_hosts system catalog provides host-based access to the 
 * backend.  Only those hosts that are in the pg_hosts 
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * pg_hosts.h,v 1.1 1995/07/11 20:26:39 jolly Exp
 *
 * NOTES
 *    the genbki.sh script reads this file and generates .bki
 *    information from the DATA() statements.
 *-------------------------------------------------------------------------
 */

#ifndef PG_HOSTS_H
#define PG_HOSTS_H

/* ----------------
 *	postgres.h contains the system type definintions and the
 *	CATALOG(), BOOTSTRAP and DATA() sugar words so this file
 *	can be read by both genbki.sh and the C compiler.
 * ----------------
 */
#include "postgres.h"

CATALOG(pg_hosts) BOOTSTRAP {
	text	hostsname; /* VARIABLE LENGTH STRUCTURE */
} FormData_pg_hosts;

typedef FormData_pg_hosts	*Form_pg_hosts;
extern Name Name_pg_hosts;
#define Natts_pg_hosts		1
#define Anum_pg_hosts_hostsname	1

#endif /* PG_HOSTS_H */
